## org.apache.poi.xslf.usermodel
Class XSLFSlideMaster

    java.lang.Object
      org.apache.poi.POIXMLDocumentPart
          org.apache.poi.xslf.usermodel.XSLFSheet
              org.apache.poi.xslf.usermodel.XSLFSlideMaster

All Implemented Interfaces:
  java.lang.Iterable<XSLFShape>, XSLFShapeContainer

    @Beta
    public class XSLFSlideMaster

extends XSLFSheet

Slide master object associated with this layout.

Within a slide master slide are contained all elements that describe the objects and their corresponding formatting for within a presentation slide.

Within a slide master slide are two main elements. The cSld element specifies the common slide elements such as shapes and their attached text bodies. Then the txStyles element specifies the formatting for the text within each of these shapes. The other properties within a slide master slide specify other properties for within a presentation slide such as color information, headers and footers, as well as timing and transition information for all corresponding presentation slides.

Author:
  Yegor Kozlov

Field Summary

Fields inherited from class org.apache.poi.POIXMLDocumentPart
`DEFAULT_XML_OPTIONS`

Constructor Summary
`protected` `XSLFSlideMaster(PackagePart part, PackageRelationship rel)`

Method Summary
`protected boolean` `canDraw(XSLFShape shape)` Render this sheet into the supplied graphics object
`XSLFBackground` `getBackground()`
`XSLFSlideLayout` `getLayout(SlideLayout type)`
`XSLFSheet` `getMasterSheet()`
`protected java.lang.String` `getRootElementName()`
`XSLFSlideLayout[]` `getSlideLayouts()`
`protected org.openxmlformats.schemas.drawingml.x2006.main.CTTextListStyle` `getTextProperties(Placeholder textType)`
`XSLFTheme` `getTheme()`
`org.openxmlformats.schemas.presentationml.x2006.main.CTSlideMaster` `getXmlObject()`

Methods inherited from class org.apache.poi.xslf.usermodel.XSLFSheet
`appendContent, buildShapes, clear, commit, createAutoShape, createConnector, createFreeform, createGroup, createPicture, createTable, createTextBox, draw, getCommonSlideData, getFollowMasterGraphics, getPlaceholder, getPlaceholders, getShapes, getSlideShow, getSpTree, getTextShapeByType, importContent, iterator, removeShape, setCommonSlideData`

Methods inherited from class org.apache.poi.POIXMLDocumentPart
`addRelation, createRelationship, createRelationship, createRelationship, getPackagePart, getPackageRelationship, getParent, getRelationById, getRelationId, getRelations, getTargetPart, onDocumentCreate, onDocumentRead, onDocumentRemove, onSave, read, rebase, removeRelation, removeRelation, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XSLFSlideMaster

    protected XSLFSlideMaster(PackagePart part,
                              PackageRelationship rel)
                       throws java.io.IOException,
                              org.apache.xmlbeans.XmlException

Throws:
  `java.io.IOException`
  `org.apache.xmlbeans.XmlException`

Method Detail

### getXmlObject

    public org.openxmlformats.schemas.presentationml.x2006.main.CTSlideMaster getXmlObject()

  Specified by:
    `getXmlObject` in class `XSLFSheet`
  Returns:
    top-level Xml bean representing this sheet

### getRootElementName

    protected java.lang.String getRootElementName()

  Specified by:
    `getRootElementName` in class `XSLFSheet`

### getMasterSheet

    public XSLFSheet getMasterSheet()

  Specified by:
    `getMasterSheet` in class `XSLFSheet`
  Returns:
    master of this sheet.

### getSlideLayouts

    public XSLFSlideLayout[] getSlideLayouts()

  Returns:
    all slide layouts referencing this master

### getLayout

    public XSLFSlideLayout getLayout(SlideLayout type)

### getTheme

    public XSLFTheme getTheme()

  Returns:
    theme (shared styles) associated with this theme. By default returns `null` which means that this sheet is theme-less. Sheets that support the notion of themes (slides, masters, layouts, etc.) should override this method and return the corresponding package part.

### getTextProperties

    protected org.openxmlformats.schemas.drawingml.x2006.main.CTTextListStyle getTextProperties(Placeholder textType)

### canDraw

    protected boolean canDraw(XSLFShape shape)

  Render this sheet into the supplied graphics object

  Overrides:
    `canDraw` in class `XSLFSheet`

### getBackground

    public XSLFBackground getBackground()

  Overrides:
    `getBackground` in class `XSLFSheet`
  Returns:
    background for this sheet

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.